/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingTipoServicio;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Desenvolvimento
 */
public class RenderPricingTipoServicio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingTipoServicio pm = (PricingTipoServicio) o;

        Listcell lc = new Listcell();

        if (pm.getTipoServicio() != null) {
            lc = new Listcell(pm.getTipoServicio().getDescservicio());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pm);
    }
}
